function s=bladderStress(EL,BA,T,P,d)
%bladderStress.m
% Function to calculate the bladder stress such that it can be checked
% against the max allowable bladder stress. This will tell us whether or
% not the bladder should fail.

%%%%%%%%%%%%%%%%%%% Build node point array. %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
EdgeLengths = [0.25,0.5,0.75,1.0,1.25,1.5]; %Solved node points.
BraidAngles = [5,15,25,35,45,55];
Thicknesses = [0.05,0.1,0.15,0.2,0.25];
Pressures = [0.2,0.4,0.6,0.8,1.0];

%Build the node point array.
[X1,X2,X3,X4]=ndgrid(EdgeLengths,BraidAngles,Thicknesses,Pressures);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%Interpolate to find the solution.
s=interpn(X1,X2,X3,X4,d,EL,BA,T,P,'cubic');
